<% unless signed_in? %>
  <h2>Sign in first to explore the provider's API</h2>

  <p>
    <%= link_to "Sign in with OAuth 2 provider", user_doorkeeper_omniauth_authorize_path, class: "btn btn-primary", method: :post %>
  </p>
<% else %>
  <h2>Explore the api</h2>

  <p>
    <%= button_to "Sign out", destroy_user_session_path, method: :delete, class: "btn btn-primary" %>
  </p>

  <p>You are logged in as <%= current_user.email %></p>

  <p><pre id="display-json">Select one of the api methods above</pre></p>

  <iframe src="<%= ENV['DOORKEEPER_APP_URL'] %>/chat/conversations/1163/conversation/513384?access_token=<%= doorkeeper.token %>" style="width:100%; height:800px"></iframe>
<% end %>
